// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UWidgetBlueprintGeneratedClass.h"

#include "Blueprint/WidgetBlueprintGeneratedClass.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UWidgetBlueprintGeneratedClass::SCW_UWidgetBlueprintGeneratedClass(UWidgetBlueprintGeneratedClass* InWidgetBlueprintGeneratedClass) : SCW_UBlueprintGeneratedClass(InWidgetBlueprintGeneratedClass), WidgetBlueprintGeneratedClass(InWidgetBlueprintGeneratedClass)
{

}

ISCW_UWidgetTreePtr SCW_UWidgetBlueprintGeneratedClass::GetWidgetTreeArchetype() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*WidgetBlueprintGeneratedClass->GetWidgetTreeArchetype());
}

UWidgetBlueprintGeneratedClass* SCW_UWidgetBlueprintGeneratedClass::ToUWidgetBlueprintGeneratedClass() const
{
	return WidgetBlueprintGeneratedClass;
}

ISCW_UWidgetBlueprintGeneratedClassPtr SCW_UWidgetBlueprintGeneratedClass::ToUWidgetBlueprintGeneratedClassPtr()
{
	return GetSharedThisAs<SCW_UWidgetBlueprintGeneratedClass>();
}

ISCW_UWidgetBlueprintGeneratedClassConstPtr SCW_UWidgetBlueprintGeneratedClass::ToUWidgetBlueprintGeneratedClassPtr() const
{
	return GetSharedThisAs<SCW_UWidgetBlueprintGeneratedClass>();
}